package model;

import java.sql.Connection;
import java.sql.PreparedStatement;

public class PerfilMenuDAO {
    
    public boolean gravar(Perfil perfil) {
        boolean excluido = excluir( perfil.getId() );
        boolean sucesso = true;
        if ( excluido ) {
            for( Menu m : perfil.getMenus() ) {
                sucesso = sucesso && gravar( perfil.getId(), m.getId() );
            }
        }
        return sucesso;
    }
    
    public boolean gravar(int perfilId, int menuId) {
        try {
            Connection con = Conexao.conectar();
            String sql = "INSERT INTO PerfilMenu (PerfilId, MenuId) VALUES (?,?)";
            PreparedStatement ps = con.prepareStatement(sql);
            ps.setInt(1, perfilId);
            ps.setInt(2, menuId);                
            ps.execute();
            ps.close();
            con.close();
            System.out.println("PerfilMenuDAO::gravar");
            return true;
        }
        catch(Exception e) {
            System.out.println("PerfilMenuDAO::gravar");
            return false;
        }
    }
    
    public boolean excluir(int perfilId) {
        try {
            // INICIO excluindo todos os perfis deste menu
            String sql = "DELETE FROM PerfilMenu WHERE PerfilId=?";
            Connection con = Conexao.conectar();
            PreparedStatement ps = con.prepareStatement(sql);
            ps.setInt(1, perfilId);
            ps.execute();
            ps.close();
            con.close();
            System.out.println("PerfilMenuDAO::excluir");
            return true;
        } catch(Exception e) {
            System.out.println("PerfilMenuDAO::excluir");
            return false;
        }
    }
    
}
