<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
    <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <title>Lista de contatos</title>
      <!-- Tell the browser to be responsive to screen width -->
      <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
      <!-- Bootstrap 3.3.6 -->
      <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
      <link rel="stylesheet" href="bootstrap/css/bootstrap-theme.min.css">
      <script>
          function confirmarExclusao(id, nome) {
              if ( confirm('Deseja realmente excluir o contato ' + nome + '?') ) {
                  location.href='ContatoControle?acao=excluir&id=' + id;
              }
          }
      </script>
    </head>
    <body>
        <div class="container">
            <h1>Agenda de Contatos</h1>
            <%@include file="menu.jsp" %>
            <table class="table table-hover">
                <tr>
                    <th></th>
                    <th>Id</th>
                    <th>Nome</th>
                    <th>Email</th>
                    <th>Telefone</th>
                    <th>Cidade</th>
                </tr>
                <jsp:useBean id="dao" class="model.ContatoDAO"></jsp:useBean>
                <c:forEach var="contato" items="${dao.lista}">
                <tr>
                    <td>
                        <a class="btn btn-primary" href="ContatoControle?acao=alterar&id=${contato.id}">
                            <i class="glyphicon glyphicon-pencil"></i>
                        </a>
                        <button class="btn btn-danger" onclick="confirmarExclusao(${contato.id}, '${contato.nome}')">
                            <i class="glyphicon glyphicon-trash"></i>
                        </button>
                    </td>
                    <td>${contato.id}</td>
                    <td>${contato.nome}</td>
                    <td>${contato.email}</td>
                    <td>${contato.telefone}</td>
                    <td>${contato.cidade.nome}</td>
                </tr>
                </c:forEach>
            </table>
            
            <!--div class="alert alert-success">
                Nenhum contato cadastrado!
            </div -->
            
        </div>
    </body>
</html>
