<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Listar Perfil</title>
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.6 -->
        <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
        <link rel="stylesheet" href="bootstrap/css/bootstrap-theme.min.css">
        <script>
          function confirmarExclusao(id, nome) {
              if ( confirm('Deseja realmente excluir o perfil ' + nome + '?') ) {
                  location.href='PerfilControle?acao=excluir&id=' + id;
              }
          }
      </script>
    </head>
    <body>
        <div class="container">
            <h1>Agenda de Contatos</h1>
            <%@include file="menu.jsp" %>
            <table class="table table-hover">
                <tr>
                    <th width="100"></th>
                    <th>Perfil</th>
                </tr>
                <jsp:useBean id="dao" class="model.PerfilDAO"></jsp:useBean>
                <c:forEach var="perfil" items="${dao.lista}">
                <tr>
                    <td>
                        <a class="btn btn-primary" href="PerfilControle?acao=alterar&id=${perfil.id}">
                            <i class="glyphicon glyphicon-pencil"></i>
                        </a>
                        <button class="btn btn-danger" onclick="confirmarExclusao(${perfil.id}, '${perfil.nome}')">
                            <i class="glyphicon glyphicon-trash"></i>
                        </button>
                    </td>
                    <td>${perfil.nome}</td>
                </tr>
                </c:forEach>
            </table>
        </div>
    </body>
</html>
